Windows Easy Gui

http://www.freebasic-portal.de

http://eternalpain.tgp-gaming.de/

WEG mit den Schwierigkeiten die eine Windows GUI mit sich bringt.

Windows Easy Gui ist ein kleines Projekt das die Benutzung der Windows GUI API in FreeBasic vereinfachen soll und somit Fenster und Menüs in wenigen Zeilen erstellt werden können.


RadioButton

RadioButtons (auch Optionsfelder) sind Benutzerelemente, die der Auswahl genau einer Option aus mehreren einer Gruppe dienen.


CreateRadioButton

Syntax: CreateRadioButton(Fenster, Gruppe, X, Y, Text, Textausrichtung)

Typ: Funktion

  • Fenster ist ein Handle zu einem Fenster oder einer GroupBox.
  • Gruppe ist ein Handle zum ersten RadioButton der Gruppe.
  • X und Y sind die Position des RadioButton.
  • Text ist ein String mit der Beschreibung der Option.
  • Textausrichtung gibt an auf welcher Seite des RadioButton der Text stehen soll.

TextLeft | Richtet den Text links vom RadioButton aus.
TextRight | Richtet den Text rechts vom RadioButton aus.

Die Textausrichtung richtet sich nach den ersten erstellten RadioButton der Gruppe.

Die Angabe ist Optional. Standard ist TextRight.

Beispiel:

Dim as Item Main   = CreateNewWindow(320,240,"RadioButton Example")

Dim as Item Radio1 =
CreateRadioButton(Main,   NULL, 70, 100, "Radio1", TextLeft)
Dim as
Item Radio2 = CreateRadioButton(Main, Radio1, 70, 120, "Radio2")
Dim as Item
Radio3 = CreateRadioButton(Main, Radio1, 70, 140, "Radio3")

Siehe auch:

RadioButtonGroup, RadioButtonAdd


RadioButtonGroup

Syntax: RadioButtonGroup(Fenster, X, Y, Text, Textausrichtung)

Typ: Funktion

  • Fenster ist ein Handle zu einem Fenster oder einer GroupBox.
  • X und Y sind die Position des RadioButton.
  • Text ist ein String mit der Beschreibung der Option.
  • Textausrichtung gibt an auf welcher Seite des RadioButton der Text stehen soll.

Die Textausrichtung richtet sich nach Der Gruppe, siehe dazu unter CreateRadioButton.

RadioButtonGroup zusammen mit RadioButtonAdd soll das erstellen von RadioButton Gruppen vereinfachen.

Beispiel:

Dim as Item Main   = CreateNewWindow(320,240,"RadioButton Example")

Dim as Item Radio1 = RadioButtonGroup(Main,100,100,"Radio1",TextRight)
Dim as Item Radio2 = RadioButtonAdd(Radio1,100,120,"Radio2")
Dim as Item Radio3 = RadioButtonAdd(Radio1,100,140,"Radio3")

Siehe auch:

CreateRadioButton, RadioButtonAdd


RadioButtonAdd

Syntax: RadioButtonAdd(Gruppe, X, Y, Text)

Typ: Funktion

  • Gruppe ist ein Handle zum ersten RadioButton der Gruppe.
  • X und Y sind die Position des RadioButton.
  • Text ist ein String mit der Beschreibung der Option.

Die Textausrichtung richtet sich nach Der Gruppe, siehe dazu unter CreateRadioButton.

RadioButtonAdd fügt ein weiteren RadioButton der Gruppe, mit RadioButtonGroup erstellt, hinzu.

Beispiel:

Dim as Item Main   = CreateNewWindow(320,240,"RadioButton Example")

Dim as Item Radio1 = RadioButtonGroup(Main,100,100,"Radio1",TextRight)
Dim as Item Radio2 = RadioButtonAdd(Radio1,100,120,"Radio2")
Dim as Item Radio3 = RadioButtonAdd(Radio1,100,140,"Radio3")

Siehe auch:

CreateRadioButton, RadioButtonGroup


GetRadioButtonState

Syntax: GetRadioButtonState(RadioButtonHandle)

Typ: Funktion

  • RadioButtonHandle ist ein Handle zum RadioButton dessen Status erfragt werden soll.

Die Rückgabe ist entweder TRUE für eine 'gesetzte' Checkbox oder FALSE für nicht 'gesetzt'

Die Funktion ist identisch zu GetCheckBoxState welche zum Abfragen des Status ebenfalls verwendet werden kann.

Siehe auch:

CreateRadioButton, SetRadioButtonState


SetRadioButtonState

Syntax: SetRadioButtonState(RadioButtonHandle, State)

Typ: Anweisung

  • RadioButtonHandle ist ein Handle zum RadioButton dessen Status gesetzt werden soll.
  • State ist ein Flag welchen Status der RadioButton annehmen soll.

TRUE | Setzt den Status auf Aktiv/Gesetzt. Andere RadioButtons der selben Gruppe werden dabei auf Inaktiv/Aus gesetzt.
FALSE | Setzt den RadioButton auf Inaktiv/Aus. Wenn dieser zuvor der Aktiv gesetzte der Gruppe war, sind dann keine RadioButtons der Gruppe aktiv.

Siehe auch:

CreateRadioButton, GetRadioButtonState


CheckBox

CheckBoxen (auch Auswahlkästen) Sind Benutzerelemente die meistens für Ja/Nein-Fragen verwendet werden oder auch um dahinter liegende Optionen zu aktivieren.


CreateCheckBox

Syntax: CreateCheckBox(Fenster, X, Y, Text, Textausrichtung)

Typ: Funktion

  • Fenster ist ein Handle zu einem Fenster oder einer GroupBox.
  • X und Y sind die Position des RadioButton.
  • Text ist ein String mit der Beschreibung der Option.
  • Textausrichtung gibt an auf welcher Seite des RadioButton der Text stehen soll.

TextLeft | Richtet den Text links der CheckBox aus.
TextRight | Richtet den Text rechts der CheckBox aus.

Die Angabe ist Optional. Standard ist TextRight.

Beispiel:

Dim as Item Main   = CreateNewWindow(320,240,"CheckBox Example")

Dim as Item Check1 = CreateCheckBox(Main, 100, 100, "Check 1")
Dim as Item Check2 = CreateCheckBox(Main, 100, 120, "Check 2", TextLeft)
Dim as Item Check3 = CreateCheckBox(Main, 100, 140, "Check 3", TextRight)

Siehe auch:


GetCheckBoxState

Syntax: GetCheckBoxState(CheckBoxHandle)

Typ: Funktion

  • CheckBoxHandle ist ein Handle zur CheckBox dessen Status erfragt werden soll.

Die Rückgabe ist entweder TRUE für eine 'gesetzte' Checkbox oder FALSE für nicht 'gesetzt'

Die Funktion ist identisch zu GetRadioButtonState welche zum Abfragen des Status ebenfalls verwendet werden kann.

Siehe auch:

CreateCheckBox, SetCheckBoxState


SetCheckBoxState

Syntax: SetCheckBoxState(CheckBoxHandle, State)

Typ: Anweisung

  • CheckBoxHandle ist ein Handle zur CheckBox dessen Status gesetzt werden soll.
  • State ist ein Flag welchen Status die CheckBox annehmen soll.

TRUE | Setzt den Status auf Aktiv / Ausgewählt
FALSE | Setzt den Status auf Inaktiv / Nicht ausgewählt.

Siehe auch:

CreateCheckBox, GetCheckBoxState


GroupBox

Eine GroupBox ist ein Rahmen der eine Beschriftung haben kann und gewöhnlich dafür benutzt werden kann um eine Gruppenzugehörigkeit von Benutzerelementen hervorzuheben.


CreateGroupBox

Syntax: CreateGroupBox(Fenster, X, Y, Breite, Höhe, Text, Textfarbe, TextHintergrundfarbe)

Typ: Funktion

  • Fenster ist ein Handle zu einem Fenster oder einer GroupBox.
  • X und Y sind die Positionskoordianten im Fenster oder GroupBox.
  • Breite und Höhe geben die Größe der Groupbox an.
  • Text (Optional) Gibt einen Titel in der obere linke Ecke aus.
  • Textfarbe (Optional) Gibt die Textfarbe in RGB an.
  • TextHintergrundfarbe (Optional) setzt eine Hintergrundfarbe in RGB.

Hinweis:

Intern sind GroupBoxen rein Visuell. Gibt man für ein Benutzerelement eine Groupbox als Zielhandle an so wird nur die Position abstrahiert und das Element an angepasster Position auf das eigentliche Fenster gesetzt. Selbiges gilt auch für Verschachtelungen von Groupboxen.

Beispiel:

Dim as Item Main   = CreateNewWindow(320,240,"GroupBox Example")

Dim as Item Group1 = CreateGroupBox(Main, 10, 10, 300, 220)
Dim as Item Group2 = CreateGroupBox(Group1, 10, 10, 280, 200,"Innen",&h123456,&h000000)

Siehe auch:


SpinBox

Hier Text eingeben...


StaticText

Hier Text eingeben...


CreateStaticText

Syntax: CreateStaticText(Fenster, X, Y, Text, Schriftart, Schriftstil, Schriftgröße, Schriftfarbe, Hintergrundfarbe)

Typ: Funktion

  • Fenster ist ein Handle zu einem Fenster oder einer GroupBox.
  • X und Y sind die Positionskoordianten im Fenster oder GroupBox.
  • Text ist ein String der ausgegeben werden soll.
  • Schriftart (Optional) ist ein String mit dem Namen der Fontfamilie der benutzt werden soll (zB. "Arial", "Times New Roman"...)
  • Schriftstil (Optional) ist ein Flag der den Stil der Schrift definiert. (Standard ist Regular)
  • Schriftfarbe (Optional) gibt die Farbe des Text in RGB an (Standard ist &h000000 (schwarz))
  • Hintergrundfarbe (Optional) ist die Hintergrundfarbe der Schrift

Mögliche Schriftstile:

Regular | &h00 | Normal
Italic | &h01 | Kursiv
Bold | &h02 | Fett
Underline | &h04 | Unterstrichen
StrikeOut | &h08 | Durchgestrichen

Die Stilflags können mit dem Operator OR miteinander kombiniert werden.

Beispiel:

Dim as Item Main  = CreateNewWindow(320,200,"StaticText Example")
Dim as Item Text1 = CreateStaticText(Main,10,10,"Hallo Welt")
Dim as Item Text2 = CreateStaticText(Main,30,50,"Hallo Welt","Arial",Italic,18)
Dim as Item Text3 = CreateStaticText(Main,50,90,"Hallo Welt","Neverwinter",Bold OR Underline,24,&h7000FF,&h000000)


Datentypen

Hier Text eingeben...


HBITMAP

HBITMAP ist ein Windows Handle zu einer Bitmap definiert in WinDef.bi

Mehr Information in der msdn


Image Funktionen

Hier Text eingeben...


ImageItem

Mit einem ImageItem lassen sich schnell und einfach Bilder in einem Fenster darstellen.


CreateImageItem

Hier Text eingeben...


ResizeImageItem

Hier Text eingeben...


ReplaceImageItem

Hier Text eingeben...


LoadImage

Hier Text eingeben...


LoadWINImage

Syntax: LoadWINImage(Dateiname,Hintergrundfarbe)

Typ: Funktion

  • Dateiname ist ein String zu einer gültigen Bilddatei. Erlaubt sind JPG, PNG, GIF, BMP, ICO und TIF
  • Hintergrundfarbe (Optional) gibt an welcher Farbe (in RGB) der Hintergrund bei Transparenten Pixel haben soll. Standard ist die Hintergrundfarbe WinExtBkBrush(&hAAAABB) definiert in WinExt.bi

Die rückgabe ist ein Pointer zu einem Bitmap Handle vom Typ HBITMAP.

Beispiel:

Dim as HBITMAP MeinBild  = LoadWINImage("C:/Bilder/Bild1.BMP")
Dim as any ptr MeinBild2 = LoadWINImage("Bild.jpg",&h000000)

Siehe auch:


LoadGDIImage

Syntax: LoadGDIImage(Dateiname)

Typ: Funktion

  • Dateiname ist ein String zu einer gültigen Bilddatei. Erlaubt sind JPG, PNG, GIF, BMP, ICO und TIF

Die rückgabe ist ein Pointer zu einem GDI PLUS Image vom Typ any ptr.

Beispiel:

Dim as any ptr MeinBild = LoadGDIImage("C:/Bilder/Bild1.BMP")

Siehe auch:


LoadFBImage

Syntax: LoadFBImage(Dateiname)

Typ: Funktion

  • Dateiname ist ein String zu einer gültigen Bilddatei. Erlaubt sind JPG, PNG, GIF, BMP, ICO und TIF

Die Rückgabe ist ein Pointer zu einem FreeBASIC Image vom Typ any ptr.

Beispiel:

screenres 640,480,32

Dim as any ptr Image = LoadFBImage("bild.png")
Put (10,10),Image,alpha

Siehe auch:


SaveImage

Hier Text eingeben...


SaveWinImage

Hier Text eingeben...


SaveGDIImage

Hier Text eingeben...


SaveFBImage

Hier Text eingeben...


CreateCopy

Hier Text eingeben...


CreateCopy_GDIImage_As_WinImage

Hier Text eingeben...


CreateCopy_GDIImage_As_FBImage

Hier Text eingeben...


CreateCopy_WINImage_As_GDIImage

Hier Text eingeben...


CreateCopy_WINImage_As_FBImage

Hier Text eingeben...


CreateCopy_FBImage_As_GDIImage

Hier Text eingeben...


CreateCopy_FBImage_As_WINImage

Hier Text eingeben...


DeleteWINImage

Hier Text eingeben...


DeleteGDIImage

Hier Text eingeben...


DeleteFBImage

Hier Text eingeben...


ShowItem

Syntax: ShowItem(Itemhandle)

Typ: Anweisung

Macht ein Item sichtbar das zuvor mit HideItem unsichtbar gemacht wurde.


HideItem

Syntax: HideItem(Itemhandle)

Typ: Anweisung

Macht ein Item unsichtbar.

Siehe auch:

ShowItem


DisableItem

Syntax: DisableItem(Itemhandle)

Typ: Anweisung

Deaktiviert ein Item.

Siehe auch:

EnableItem


EnableItem

Syntax: EnableItem(Itemhandle)

Typ: Anweisung

Aktiviert ein Item das zuvor mit DisableItem deaktiviert wurde.